Name: x11-driver-video-cirrus
Version: 1.5.3
Release: %mkrel 7
Summary: X.org driver for Cirrus Logic
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-cirrus-%{version}.tar.bz2
Patch0: 0001-Disable-acceleration-under-qemu.patch
Patch1: 0002-Use-16bpp-when-running-in-virt-and-on-XenSource-gfx.patch
Patch2: 0003-Remove-almost-no-op-setup-functions.patch
Patch3: 0004-Don-t-build-split-alpine-and-laguna-support.patch
Patch100: 0001-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch 
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-cirrus is the X.org driver for Cirrus Logic.

%prep
%autosetup -p1 -n xf86-video-cirrus-%{version}

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/cirrus_drv.la
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_mandir}/man4/cirrus.*




%changelog
* Thu Nov 17 2016 tv <tv> 1.5.3-7.mga6
+ Revision: 1067896
- fix build with xserver 1.19

* Thu Nov 17 2016 tv <tv> 1.5.3-6.mga6
+ Revision: 1067732
- adjust file list
- run autoreconf
- use new macros
- add fixes from git

* Sat Jul 23 2016 tmb <tmb> 1.5.3-5.mga6
+ Revision: 1043235
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.5.3-4.mga6
+ Revision: 963366
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.5.3-3.mga6
+ Revision: 902289
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.5.3-2.mga6
+ Revision: 902049
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.5.3-1.mga6
+ Revision: 836073
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-10.mga5
+ Revision: 746814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-9.mga5
+ Revision: 690425
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.5.2-8.mga5
+ Revision: 635009
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.5.2-7.mga5
+ Revision: 633666
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.5.2-6.mga5
+ Revision: 614357
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.5.2-5.mga5
+ Revision: 582307
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-4.mga4
+ Revision: 525398
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.5.2-3.mga4
+ Revision: 433145
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.5.2-2.mga4
+ Revision: 385978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tv <tv> 1.5.2-1.mga3
+ Revision: 343565
- new release

* Thu Sep 06 2012 tv <tv> 1.5.1-2.mga3
+ Revision: 288954
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.5.1-1.mga3
+ Revision: 273773
- new release

* Thu Jul 12 2012 tv <tv> 1.5.0-1.mga3
+ Revision: 270217
- new release

* Wed Jun 06 2012 tmb <tmb> 1.4.0-4.mga3
+ Revision: 256385
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.0-3.mga3
+ Revision: 253004
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.0-2.mga3
+ Revision: 250003
- rebuild for new X.org server

* Wed May 30 2012 tv <tv> 1.4.0-1.mga3
+ Revision: 249939
- drop merged patches
- new release

* Thu Dec 29 2011 tmb <tmb> 1.3.2-7.mga2
+ Revision: 188770
- Limit the maximul pitch of GD5436 and GD5446 (mga #3926)

* Tue Dec 06 2011 tmb <tmb> 1.3.2-6.mga2
+ Revision: 177548
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.3.2-5.mga2
+ Revision: 153114
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.3.2-4.mga1
+ Revision: 64391
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.2-3.mga1
+ Revision: 50199
- imported package x11-driver-video-cirrus

